Name: libodraw
Version: 20240306
Release: 1
Summary: Library to access optical disc (split) RAW formats
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libodraw
          
BuildRequires: gcc          

%description -n libodraw
Library to access optical disc (split) RAW formats

%package -n libodraw-static
Summary: Library to access optical disc (split) RAW formats
Group: Development/Libraries
Requires: libodraw = %{version}-%{release}

%description -n libodraw-static
Static library version of libodraw.

%package -n libodraw-devel
Summary: Header files and libraries for developing applications for libodraw
Group: Development/Libraries
Requires: libodraw = %{version}-%{release}

%description -n libodraw-devel
Header files and libraries for developing applications for libodraw.

%package -n libodraw-tools
Summary: Several tools for accessing optical disc (split) RAW formats
Group: Applications/System
Requires: libodraw = %{version}-%{release} openssl 
BuildRequires: openssl-devel 

%description -n libodraw-tools
Several tools for accessing optical disc (split) RAW formats

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libodraw
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libodraw-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libodraw-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libodraw.pc
%{_includedir}/*
%{_mandir}/man3/*

%files -n libodraw-tools
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Mar  6 2024 Joachim Metz <joachim.metz@gmail.com> 20240306-1
- Auto-generated

